Summary:	The Light Display Manager (GTK+ greeter)
Name:		lightdm-gtk-greeter
Version:	1.6.1
Release:	%mkrel 3
License:	GPLv3+
Group:		Graphical desktop/Other
Source0:	https://launchpad.net/%{name}/1.6/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		lightdm-gtk-greeter-1.6.0-mga-customizations.patch
Patch1:		lightdm-gtk-greeter-handle-invalid-user.patch
URL:		http://www.freedesktop.org/wiki/Software/LightDM
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	automake

%description
A LightDM greeter that uses the GTK+ toolkit.

%package common
Summary:	Common files for the Light Display Manager
Group:		Graphical desktop/Other
# For mga logo:
Requires:	desktop-common-data
# For icons in top right corner
Requires:	gnome-icon-theme
# For icons in HighContrast mode
Requires:	gnome-themes-standard
Conflicts:	%{name} < 1.5.1

%description common
This package contains the common files for the Light Display Manager.

%package -n lightdm-gtk2-greeter
Summary:	The Light Display Manager (GTK2 greeter)
Group:		Graphical desktop/Other
Provides:	lightdm-greeter
Requires:	lightdm-gtk-greeter-common = %{version}-%{release}
Requires:	lightdm
Requires(pre):		update-alternatives
Requires(post):		update-alternatives
Requires(postun):	update-alternatives
Obsoletes:	%{name} < 1.5.1

%description -n lightdm-gtk2-greeter
A LightDM greeter that uses the GTK2 toolkit.

%package -n lightdm-gtk3-greeter
Summary:        The Light Display Manager (GTK3 greeter)
Group:          Graphical desktop/Other
Provides:	lightdm-greeter
Requires:	lightdm-gtk-greeter-common = %{version}-%{release}
Requires:	lightdm
Requires(post):         update-alternatives
Requires(postun):	update-alternatives

%description -n lightdm-gtk3-greeter
A LightDM greeter that uses the GTK3 toolkit.

#-------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# create dirs fro gtk2/gtk3 build
mkdir -p gtk2 gtk3

%build
export CONFIGURE_TOP=..
pushd gtk2
	%configure2_5x \
		--disable-static \
		--with-gtk2
	%make
popd

pushd gtk3
        %configure2_5x \
                --disable-static
	%make
popd

%install
%makeinstall_std -C gtk2

# rename gtk2 greeter
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_sbindir}/lightdm-gtk2-greeter

# install gtk3 greeter
install -Dpm755 gtk3/src/%{name} %{buildroot}%{_sbindir}/lightdm-gtk3-greeter

# install .desktop files
install -Dpm644	%{buildroot}%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop \
	%{buildroot}%{_datadir}/xgreeters/lightdm-gtk2-greeter.desktop
install -Dpm644 %{buildroot}%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop \
	%{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
rm -rf %{buildroot}%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop

# fix .desktop files
sed -i -e 's,%{name},lightdm-gtk2-greeter,g' %{buildroot}%{_datadir}/xgreeters/lightdm-gtk2-greeter.desktop
sed -i -e 's,%{name},lightdm-gtk3-greeter,g' %{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop

%find_lang %{name}

%pre -n lightdm-gtk2-greeter
if [ -f %{_datadir}/xgreeters/lightdm-gtk-greeter.desktop ]; then
	%{_sbindir}/update-alternatives \
		--remove lightdm-greeter \
	        %{_datadir}/xgreeters/lightdm-gtk-greeter.desktop
fi

%post -n lightdm-gtk2-greeter
%{_sbindir}/update-alternatives \
	--install %{_datadir}/xgreeters/lightdm-greeter.desktop \
	lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-gtk2-greeter.desktop \
	25

%post -n lightdm-gtk3-greeter
%{_sbindir}/update-alternatives \
        --install %{_datadir}/xgreeters/lightdm-greeter.desktop \
        lightdm-greeter \
        %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop \
        20

%postun -n lightdm-gtk2-greeter
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
	--remove lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-gtk2-greeter.desktop
fi

%postun	-n lightdm-gtk3-greeter
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
        --remove lightdm-greeter \
        %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
fi


%files common -f %{name}.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf

%files -n lightdm-gtk2-greeter
%{_sbindir}/lightdm-gtk2-greeter
%{_datadir}/xgreeters/lightdm-gtk2-greeter.desktop

%files -n lightdm-gtk3-greeter
%{_sbindir}/lightdm-gtk3-greeter
%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop


%changelog
* Wed Jan 08 2014 luigiwalser <luigiwalser> 1.6.1-3.mga4
+ Revision: 565494
- add patch from opensuse to fix crash hitting enter w/no username (CVE-2014-0979, bnc#857303)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 536714
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 1.6.1-1.mga4
+ Revision: 485395
- new version 1.6.1

* Tue Jun 04 2013 wally <wally> 1.6.0-1.mga4
+ Revision: 437220
- new version 1.6.0
- rediff config patch

* Fri May 24 2013 wally <wally> 1.5.1-1.mga4
+ Revision: 426339
- new version 1.5.1
- add support for both gtk2 and gtk3 greeters

* Mon Apr 01 2013 wally <wally> 1.3.1-6.mga3
+ Revision: 407051
- add patches to build against GTK2 and do it (should fix mga#9106)

* Sat Jan 12 2013 umeabot <umeabot> 1.3.1-5.mga3
+ Revision: 358775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 1.3.1-4.mga3
+ Revision: 333816
- add patch from Fedora to fix missing HighContrast theme/icons
- require gnome-themes-standard for HighContrast theme/icons

* Thu Dec 20 2012 wally <wally> 1.3.1-3.mga3
+ Revision: 333428
- add patch from Derek Jennings to fix .jpg background loading (mga#8413)

* Sat Nov 03 2012 wally <wally> 1.3.1-2.mga3
+ Revision: 313312
- use icons from gnome-icon-theme by default

* Sat Sep 01 2012 wally <wally> 1.3.1-1.mga3
+ Revision: 286985
- new version 1.3.1

* Sat Aug 25 2012 wally <wally> 1.3.0-3.mga3
+ Revision: 283938
- add NEWS as doc file

* Sat Aug 25 2012 wally <wally> 1.3.0-2.mga3
+ Revision: 283929
- require desktop-common-data for mga logo

* Sat Aug 25 2012 wally <wally> 1.3.0-1.mga3
+ Revision: 283924
- new version 1.3.0
- use mga logo in greeter window
- rediff and rename P0

* Sat Jul 28 2012 wally <wally> 1.1.6-4.mga3
+ Revision: 275421
- provide lightdm-greeter with alternatives system
- clean .spec

* Sat Jun 23 2012 wally <wally> 1.1.6-3.mga3
+ Revision: 262779
- fix mga background patch

* Sat Jun 09 2012 fwang <fwang> 1.1.6-2.mga3
+ Revision: 258408
- fix typo

* Sat Jun 09 2012 fwang <fwang> 1.1.6-1.mga3
+ Revision: 258403
- use mga background
- update file list
- br lightdm
- imported package lightdm-gtk-greeter

